%define	upstream_name	 GTop
%define	upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:    Perl interface to libgtop
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MJ/MJH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: perl-devel
Requires:   perl

%{?perl_default_filter}

%description
GTop is a Perl interface to libgtop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc Changes META.yml MYMETA.yml README TODO examples
%{perl_vendorarch}/config.pl
%{perl_vendorarch}/GTop*
%{perl_vendorarch}/auto/GTop
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.180.0-26.mga10
+ Revision: 2088057
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 0.180.0-25.mga10
+ Revision: 2012070
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.180.0-24.mga9
+ Revision: 1861911
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 0.180.0-23.mga9
+ Revision: 1797858
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.180.0-22.mga9
+ Revision: 1726708
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.180.0-21.mga8
+ Revision: 1594803
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.180.0-20.mga8
+ Revision: 1529496
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.180.0-19.mga8
+ Revision: 1433651
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.180.0-18.mga7
+ Revision: 1292931
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.180.0-17.mga7
+ Revision: 1250094
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.180.0-16.mga7
+ Revision: 1164697
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.180.0-15.mga7
+ Revision: 1150112
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.180.0-14.mga7
+ Revision: 1127497
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-13.mga6
+ Revision: 1028167
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.180.0-12.mga6
+ Revision: 957456
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.180.0-11.mga6
+ Revision: 843310
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.180.0-10.mga5
+ Revision: 789506
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-9.mga5
+ Revision: 746621
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-8.mga5
+ Revision: 732239
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-7.mga5
+ Revision: 684827
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.180.0-6.mga5
+ Revision: 631208
- Rebuild for perl 5.20

* Mon Jun 02 2014 jquelin <jquelin> 0.180.0-5.mga5
+ Revision: 630619
- libgtop rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-4.mga4
+ Revision: 524314
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.180.0-3.mga4
+ Revision: 430699
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 367620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 254950
- update to 0.18

* Wed May 30 2012 jquelin <jquelin> 0.170.0-2.mga3
+ Revision: 250751
- rebuild for perl 5.16
- update to 0.17

* Sun Jun 12 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104651
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 32756
- mageia rebuild
- imported package perl-GTop


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 409301
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.16-2mdv2009.0
+ Revision: 268514
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 30 2008 Olivier Blin <oblin@mandriva.com> 0.16-1mdv2009.0
+ Revision: 199735
- initial perl-GTop package
- create perl-GTop

